package com.usky.demo.controller.web;

import com.usky.demo.service.job.QueryEnergyUnitUsed;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@EnableScheduling
@Component
public class TaskController {
    @Autowired
    private QueryEnergyUnitUsed queryEnergyUnitUsed;

    //@Scheduled(cron = "0 10 */1 * * ?") //每小时的第10分钟执行一次
    @Scheduled(cron = "0 */3 * * * ?")
    public void task(){
        System.out.println(Thread.currentThread().getName() + "定时任务执行中");
        queryEnergyUnitUsed.QueryEnergyElectricUsed();
        queryEnergyUnitUsed.QueryEnergyWaterUsed();
    }
}
